/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#include <Fire.h>

Fire::Fire (byte ledPin1, byte ledPin2)
{
  pin1 = ledPin1;
  pin2 = ledPin2;

  randomSeed(micros());
  pinMode(pin1, OUTPUT);
  pinMode(pin2, OUTPUT);

  ledState = false;
  nextBlink = (long)millis() + 50;
}

void Fire::update()
{
  if ((long)millis() - nextBlink >= 0) {
    ledState = !ledState;
    nextBlink = (long)millis() + 50;

    if (ledState == false) {
      analogWrite(pin1, random(50, 255));
    } else {
      analogWrite(pin2, random(0, 50));
    }
  }
}
